umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_toolbarstate.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/toolbarstate.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ToolBarState_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ToolBarState_t | qt_meta_stringdata_ToolBarState
static const uint | qt_meta_data_ToolBarState []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ToolBarState_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_ToolBarState_t
Definition: moc_toolbarstate.cpp:24

## Variable Documentation

## ◆ qt_meta_data_ToolBarState

const uint qt_meta_data_ToolBarState[]
| static

Initial value:
= {
8,
0,
0, 0,
3, 14,
0, 0,
0, 0,
0, 0,
0,
1,
1, 0, 29, 2, 0x06 ,
3, 1, 30, 2, 0x0a ,
6, 1, 33, 2, 0x0a ,
QMetaType::Void,
QMetaType::Void, 0x80000000 | 4, 5,
QMetaType::Void, 0x80000000 | 7, 8,
0
}

## ◆ qt_meta_stringdata_ToolBarState

const qt_meta_stringdata_ToolBarState_t qt_meta_stringdata_ToolBarState
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 12),
QT_MOC_LITERAL(1, 13, 8),
QT_MOC_LITERAL(2, 22, 0),
QT_MOC_LITERAL(3, 23, 22),
QT_MOC_LITERAL(4, 46, 18),
QT_MOC_LITERAL(5, 65, 11),
QT_MOC_LITERAL(6, 77, 17),
QT_MOC_LITERAL(7, 95, 10),
QT_MOC_LITERAL(8, 106, 6)
},
"ToolBarState\0finished\0\0slotAssociationRemoved\0"
"AssociationWidget*\0association\0"
"slotWidgetRemoved\0UMLWidget*\0widget"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_toolbarstate.cpp:28